Rails 6: Use #media_type instead of #content_type to test the MIME type of a response

2020-01-26 15:40 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Rails support Estimated time: 0.00 hour

Target version: 4.2.0   

Description

Rails 6 displays deprecation warning if you use @response.content_type to check the MIME type of the response.

DEPRECATION WARNING: Rails 6.1 will return Content-Type header without modification. If you want j

ust the MIME type, please use `#media_type` instead.

 The attached patch replaces #content_type with #media_type to surpress the warning.

Related issues:

Related to Redmine - Feature #29914: Migrate to Rails 6.1 with Zeitwerk autol... Closed

Associated revisions

Revision 19467 - 2020-01-27 04:54 - Go MAEDA

Use #media_type instead of #content_type to test the MIME type of a response (#32886).

Patch by Go MAEDA.

History

#1 - 2020-01-26 15:41 - Go MAEDA

- Related to Feature #29914: Migrate to Rails 6.1 with Zeitwerk autoloading added

#2 - 2020-01-26 23:35 - Go MAEDA

- Target version set to 4.2.0

#3 - 2020-01-27 04:54 - Go MAEDA

- Subject changed from Rails 6: Use #media_type instead of #content_type to test the MIME type of the response to Rails 6: Use #media_type instead

of #content_type to test the MIME type of a response

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch.
